<?xml version="1.0" encoding="UTF-8"?>

<!--
 *
 * This help file was generated from linalg_gaussnaive.sci using help_from_sci().
 *
 -->

<refentry version="5.0-subset Scilab" xml:id="linalg_gaussnaive" xml:lang="en"
          xmlns="http://docbook.org/ns/docbook"
          xmlns:xlink="http://www.w3.org/1999/xlink"
          xmlns:svg="http://www.w3.org/2000/svg"
          xmlns:ns3="http://www.w3.org/1999/xhtml"
          xmlns:mml="http://www.w3.org/1998/Math/MathML"
          xmlns:db="http://docbook.org/ns/docbook">


  <refnamediv>
    <refname>linalg_gaussnaive</refname><refpurpose>Solves a linear equation by Gauss method and no pivoting.</refpurpose>
  </refnamediv>



<refsynopsisdiv>
   <title>Calling Sequence</title>
   <synopsis>
   x = linalg_gaussnaive ( A , b )
   x = linalg_gaussnaive ( A , b , verbose )

   </synopsis>
</refsynopsisdiv>

<refsection>
   <title>Parameters</title>
   <variablelist>
   <varlistentry><term>A :</term>
      <listitem><para> a n-by-n matrix of doubles</para></listitem></varlistentry>
   <varlistentry><term>b :</term>
      <listitem><para> a n-by-1 matrix of doubles</para></listitem></varlistentry>
   <varlistentry><term>verbose :</term>
      <listitem><para> a 1-by-1 matrix of boolean (default verbose = %f), set to true to display intermediate messages</para></listitem></varlistentry>
   <varlistentry><term>x :</term>
      <listitem><para> a n-by-1 matrix of doubles</para></listitem></varlistentry>
   </variablelist>
</refsection>

<refsection>
   <title>Description</title>
   <para>
Returns the solution of Ax = b
with a Gauss elimination and no pivoting.
This algorithm might be inaccurate if A near singular.
There is no solution is A is singular.
Moreover, it might inaccurate even if A is correctly conditionned.
Uses a naive algorithm with all loops expanded (no vectorization).
   </para>
   <para>
</para>
</refsection>

<refsection>
   <title>Examples</title>
   <programlisting role="example"><![CDATA[
A = [
3 17 10
2 4 -2
6 18 -12
];
b = [
67
4
6
];
x = linalg_gaussnaive ( A , b )
xe = [1 2 3]'
// See what happens
x = linalg_gaussnaive ( A , b , %t )

// A failure case : pivoting is necessary
A = [
2 * %eps 1
1     1
];
xe = [1/10 1/3]'
b = A * xe;
x = linalg_gaussnaive ( A , b )

// See the algorithm
edit linalg_gaussnaive

   ]]></programlisting>
</refsection>

<refsection>
   <title>Authors</title>
   <simplelist type="vert">
   <member>Copyright (C) 2008 - 2010 - Michael Baudin</member>
   <member>Copyright (C) 2010 - 2011 - DIGITEO - Michael Baudin</member>
   </simplelist>
</refsection>
</refentry>
